Subject: Re: bug#46781: read-buffer-completion-ignore-case: who would still be looking for m when they typed M?

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Mon, 01 Mar 2021 12:08:29 +0800

$ emacs -nw -Q --eval '(setq read-buffer-completion-ignore-case t)' Makefile murmurfile BLA
C-x b                  ;; switch-to-buffer
M                      ;; self-insert-command
TAB                    ;; minibuffer-complete

I am saying that if I typed "m", then offer me both choices.

But I have gone through all the trouble of holding down SHIFT, that
means I am serious about only matching uppercase M.

"Then don't tamper with read-buffer-completion-ignore-case in the first
place."

But then I don't get the two choices for little "m". Too much price to pay.

So maybe read-buffer-completion-ignore-case should allow a third value,
not just nil and t.